Fibo Lite
集成
模型 id
bria/fibo-lite/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-lite/generate?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-lite/generate?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-lite/generate", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-lite/generate",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
通过 Doitong API 调用 Fibo Lite 模型(bria/fibo-lite/generate)。智能体文档:https://doitong.com/zh/developers/models/bria/fibo-lite/generate.md
POST https://api.doitong.ru/v1/run/bria/fibo-lite/generate?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/bria/fibo-lite/generate,可在运行前返回确切价格。
此请求: $0.036 36 API 积分 · ≈ ₽3.80 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/bria/fibo-lite/generate?wait=20
报价 → $0.036
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-lite/generate?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-lite/generate?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-lite/generate", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-lite/generate",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
关于 Fibo Lite
更轻量的 Fibo 版本,可根据 `prompt` 或 `structured_prompt` 创建图像,并可选使用 `image_url` 作为输入。设置项包括 `seed`(默认 7)和九种值中的 `aspect_ratio`。不提供分辨率或步数控制,并会在图像旁返回结构化提示。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
prompt可选
类型string | null
用于生成的提示词。
structured_prompt可选
类型object
用于生成的结构化提示词。
structured_prompt.short_description必填
类型string
对图像内容的简要概述,限制为 200 个单词。
structured_prompt.objects必填
类型object[]
前景或中景中的显著对象列表。
structured_prompt.objects[].description必填
类型string
描述对象的简要摘要。
structured_prompt.objects[].location必填
类型string
位置,例如:'center'、'top-left' 或 'bottom-right foreground'。
structured_prompt.objects[].relationship必填
类型string
描述此对象与图像中其他对象的关系。
structured_prompt.objects[].relative_size可选
类型string | null
大小,例如:'small'、'medium' 或 'large within frame'。
structured_prompt.objects[].shape_and_color可选
类型string | null
对象的基本形状和主要颜色。
structured_prompt.objects[].texture可选
类型string | null
纹理,例如:'smooth'、'rough'、'metallic' 或 'furry'。
structured_prompt.objects[].appearance_details可选
类型string | null
值得注意的其他视觉特征。
structured_prompt.objects[].number_of_objects可选
类型integer | null
群组中的对象数量。
structured_prompt.objects[].pose可选
类型string | null
身体的位置。
structured_prompt.objects[].expression可选
类型string | null
面部呈现的表情。
structured_prompt.objects[].clothing可选
类型string | null
穿着的服装。
structured_prompt.objects[].action可选
类型string | null
人物执行的动作。
structured_prompt.objects[].gender可选
类型string | null
人物的性别。
structured_prompt.objects[].skin_tone_and_texture可选
类型string | null
皮肤的色调和纹理。
structured_prompt.objects[].orientation可选
类型string | null
人物的朝向。
structured_prompt.background_setting必填
类型string
对整个场景的描述:发生地点、周围环境或背景,以及任何值得注意的背景特征。
structured_prompt.lighting必填
类型object
描述光照的信息。
structured_prompt.lighting.conditions必填
类型string
光照示例包括 'bright daylight'、'dim indoor'、'studio lighting' 和 'golden hour'。
structured_prompt.lighting.direction必填
类型string
光照方向;示例包括 'front-lit'、'backlit' 和 'side-lit from left'。
structured_prompt.lighting.shadows可选
类型string | null
对存在的阴影进行描述。
structured_prompt.aesthetics必填
类型object
描述图像美学特征的信息。
structured_prompt.aesthetics.composition必填
类型string
构图风格;示例包括 'rule of thirds'、'symmetrical'、'centered' 和 'leading lines'。
structured_prompt.aesthetics.color_scheme必填
类型string
配色方案;示例包括 'monochromatic blue'、'warm complementary colors' 和 'high contrast'。
structured_prompt.aesthetics.mood_atmosphere必填
类型string
情绪或氛围,例如 `joyful`、`serene`、`mysterious` 或 `energetic`。
structured_prompt.aesthetics.aesthetic_score必填
类型string
评分描述,例如 medium、very low、low、very high 或 high。
structured_prompt.aesthetics.preference_score必填
类型string
评分描述,例如 medium、very low、low、very high 或 high。
structured_prompt.photographic_characteristics可选
类型object
描述摄影特征的信息。
structured_prompt.photographic_characteristics.depth_of_field必填
类型string
景深;示例包括 'shallow'、'deep' 和 'bokeh background'。
structured_prompt.photographic_characteristics.focus必填
类型string
对焦特征;示例包括 'sharp focus on subject'、'soft focus' 和 'motion blur'。
structured_prompt.photographic_characteristics.camera_angle必填
类型string
相机角度;示例包括 'eye-level'、'low angle'、'high angle' 和 'dutch angle'。
structured_prompt.photographic_characteristics.lens_focal_length必填
类型string
镜头类型或焦距,例如 `macro`、`fisheye`、`wide-angle` 或 `telephoto`。
structured_prompt.style_medium可选
类型string | null
使用的艺术媒介或风格。
structured_prompt.text_render可选
类型object[]
图像中渲染的文本元素列表。
structured_prompt.text_render[].text必填
类型string
文本内容。
structured_prompt.text_render[].location必填
类型string
位置,例如:'center'、'top-left' 或 'bottom-right foreground'。
structured_prompt.text_render[].size必填
类型string
大小,例如:'small'、'medium' 或 'large within frame'。
structured_prompt.text_render[].color必填
类型string
颜色,例如 `green`、`red` 或 `blue`。
structured_prompt.text_render[].font必填
类型string
字体风格,例如 `minimalist`、`realistic` 或 `cartoonish`。
structured_prompt.text_render[].appearance_details可选
类型string | null
值得注意的其他视觉特征。
structured_prompt.context必填
类型string
帮助解读图像的其他上下文。
structured_prompt.artistic_style必填
类型string
具体的艺术特征,最多用 3 个单词表示。
structured_prompt.subject_emotions可选
类型string | null
明确描述主体可见的表情或情绪。
image_url可选
image
类型url · image
输入图像的 URL。
seed可选
类型integer
默认值7
随机数生成器使用的种子。
aspect_ratio可选
类型enum
默认值1:1
1:12:33:23:44:34:55:49:1616:9
图像宽高比;可用值为 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-lite/generate",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 36,
"usd": "0.036",
"charged": 36,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{}
],
"structured_prompt": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"aesthetic_score": "string",
"preference_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [
{
"text": "string",
"location": "string",
"size": "string",
"color": "string",
"font": "string",
"appearance_details": "string"
}
],
"context": "string",
"artistic_style": "string",
"subject_emotions": "string"
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- image
- object {url, content_type, file_name, file_size, width, height}模型生成的图像。
- images
- array of object生成得到的图像。
- structured_prompt
- object {short_description, objects, background_setting, lighting, aesthetics, photographic_characteristics, style_medium, text_render, context, artistic_style, subject_emotions}当前使用的提示词。
其他 Fibo Lite 变体
更多模型:文生图
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-lite/generate.md. 所有模型和指南: https://doitong.com/developers/llms.txt







